Live Mesh incompatible with Apple Snow Leopard 10.6

1300.livemeshblog_thumb_136b5b89 News Apple released Snow Leopard 10.6, the latest upgrade to its OS,  last week, and the list of incompatible apps keeps growing.  The latest is unfortunately Live Mesh.  From the Live Mesh blog:

With the recent Apple announcement regarding the availability of Mac OS X Snow Leopard (10.6), we want Live Mesh Mac users to be aware the current Live Mesh Mac software is not compatible with the new OS X version (10.6). We will continue to support Mac OS X Leopard (10.5) users. We apologize in advance for the inconvenience.